Add missing licenses to several of the files.

Signed-off-by: Jordan Crouse <jordan.crouse@amd.com>

Index: LinuxBIOSv2/src/northbridge/amd/lx/chip.h
===================================================================
--- LinuxBIOSv2.orig/src/northbridge/amd/lx/chip.h	2007-05-04 13:31:50.000000000 -0600
+++ LinuxBIOSv2/src/northbridge/amd/lx/chip.h	2007-05-04 13:33:16.000000000 -0600
@@ -1,8 +1,22 @@
 /*
-*
-* Copyright (C) 2007 Advanced Micro Devices
-*
-*/
+ * This file is part of the LinuxBIOS project.
+ *
+ * Copyright (C) 2007 Advanced Micro Devices, Inc.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
 
 struct northbridge_amd_lx_config
 {
Index: LinuxBIOSv2/src/northbridge/amd/lx/grphinit.c
===================================================================
--- LinuxBIOSv2.orig/src/northbridge/amd/lx/grphinit.c	2007-05-04 13:31:50.000000000 -0600
+++ LinuxBIOSv2/src/northbridge/amd/lx/grphinit.c	2007-05-04 13:33:35.000000000 -0600
@@ -1,8 +1,22 @@
 /*
-*
-* Copyright (C) 2007 Advanced Micro Devices
-*
-*/
+ * This file is part of the LinuxBIOS project.
+ *
+ * Copyright (C) 2007 Advanced Micro Devices, Inc.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
 
 #include <arch/io.h>
 #include <stdint.h>
Index: LinuxBIOSv2/src/northbridge/amd/lx/northbridge.c
===================================================================
--- LinuxBIOSv2.orig/src/northbridge/amd/lx/northbridge.c	2007-05-04 13:31:50.000000000 -0600
+++ LinuxBIOSv2/src/northbridge/amd/lx/northbridge.c	2007-05-04 13:38:26.000000000 -0600
@@ -1,8 +1,22 @@
 /*
-*
-* Copyright (C) 2007 Advanced Micro Devices
-*
-*/
+ * This file is part of the LinuxBIOS project.
+ *
+ * Copyright (C) 2007 Advanced Micro Devices, Inc.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
 
 #include <console/console.h>
 #include <arch/io.h>
Index: LinuxBIOSv2/src/northbridge/amd/lx/northbridge.h
===================================================================
--- LinuxBIOSv2.orig/src/northbridge/amd/lx/northbridge.h	2007-05-04 13:31:51.000000000 -0600
+++ LinuxBIOSv2/src/northbridge/amd/lx/northbridge.h	2007-05-04 13:42:09.000000000 -0600
@@ -1,3 +1,23 @@
+/*
+* This file is part of the LinuxBIOS project.
+*
+* Copyright (C) 2007 Advanced Micro Devices
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License version 2 as
+* published by the Free Software Foundation.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA	 02110-1301 USA
+*/
+
+#include <cpu/amd/lxdef.h>
 #ifndef NORTHBRIDGE_AMD_LX_H
 #define NORTHBRIDGE_AMD_LX_H
 
Index: LinuxBIOSv2/src/northbridge/amd/lx/northbridgeinit.c
===================================================================
--- LinuxBIOSv2.orig/src/northbridge/amd/lx/northbridgeinit.c	2007-05-04 13:31:51.000000000 -0600
+++ LinuxBIOSv2/src/northbridge/amd/lx/northbridgeinit.c	2007-05-04 13:38:40.000000000 -0600
@@ -1,8 +1,22 @@
 /*
-*
-* Copyright (C) 2007 Advanced Micro Devices
-*
-*/
+ * This file is part of the LinuxBIOS project.
+ *
+ * Copyright (C) 2007 Advanced Micro Devices, Inc.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
 
 #include <console/console.h>
 #include <arch/io.h>
Index: LinuxBIOSv2/src/northbridge/amd/lx/pll_reset.c
===================================================================
--- LinuxBIOSv2.orig/src/northbridge/amd/lx/pll_reset.c	2007-05-04 13:31:51.000000000 -0600
+++ LinuxBIOSv2/src/northbridge/amd/lx/pll_reset.c	2007-05-04 13:41:25.000000000 -0600
@@ -1,8 +1,22 @@
 /*
-*
-* Copyright (C) 2007 Advanced Micro Devices
-*
-*/
+ * This file is part of the LinuxBIOS project.
+ *
+ * Copyright (C) 2007 Advanced Micro Devices, Inc.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
 
 static void pll_reset(char manualconf)
 {
Index: LinuxBIOSv2/src/northbridge/amd/lx/raminit.h
===================================================================
--- LinuxBIOSv2.orig/src/northbridge/amd/lx/raminit.h	2007-05-04 13:31:51.000000000 -0600
+++ LinuxBIOSv2/src/northbridge/amd/lx/raminit.h	2007-05-04 13:41:43.000000000 -0600
@@ -1,3 +1,23 @@
+/*
+ * This file is part of the LinuxBIOS project.
+ *
+ * Copyright (C) 2007 Advanced Micro Devices, Inc.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ */
+
 #ifndef RAMINIT_H
 #define RAMINIT_H
 

--
Jordan Crouse
Senior Linux Engineer
Advanced Micro Devices, Inc.
<www.amd.com/embeddedprocessors>




